Bug 1313778 - [abrt] qt-creator: CppEditor::Internal::CppEditorWidget::<lambda(bool)>::operator()(): qtcreator killed by SIGSEGV
[abrt] qt-creator: CppEditor::Internal::CppEditorWidget::<lambda(bool)>::oper...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:32ccee39ab0b0b5a0e364a89ea7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 05:40 EST by Adrien Bustany
Modified: 2016-12-20 14:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:11:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.60 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: cgroup (200 bytes, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: core_backtrace (11.89 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: dso_list (25.90 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: environ (2.78 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: exploitable (110 bytes, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: maps (124.25 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: mountinfo (3.95 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: open_fds (5.82 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details
File: var_log_messages (296 bytes, text/plain)
2016-03-02 05:40 EST, Adrien Bustany
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTCREATORBUG-15808 None None None 2016-03-02 06:14 EST

  None (edit)
Description Adrien Bustany 2016-03-02 05:40:02 EST
Description of problem:
QtCreator crashes fairly regularly when adding a new preprocessor define by clicking on the # icon in the editor toolbar. Restarting it and adding the same define again doesn't crash.

Version-Release number of selected component:
qt-creator-3.6.0-2.fc23

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        qtcreator
crash_function: CppEditor::Internal::CppEditorWidget::<lambda(bool)>::operator()
executable:     /usr/bin/qtcreator
global_pid:     21388
kernel:         4.3.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 CppEditor::Internal::CppEditorWidget::<lambda(bool)>::operator() at cppeditor.cpp:192
 #1 QtPrivate::FunctorCall<QtPrivate::IndexesList<0>, QtPrivate::List<bool>, void, CppEditor::Internal::CppEditorWidget::finalizeInitialization()::<lambda(bool)> >::call at /usr/include/qt5/QtCore/qobjectdefs_impl.h:495
 #2 QtPrivate::Functor<CppEditor::Internal::CppEditorWidget::finalizeInitialization()::<lambda(bool)>, 1>::call<QtPrivate::List<bool>, void> at /usr/include/qt5/QtCore/qobjectdefs_impl.h:552
 #3 QtPrivate::QFunctorSlotObject<CppEditor::Internal::CppEditorWidget::finalizeInitialization()::<lambda(bool)>, 1, QtPrivate::List<bool>, void>::impl(int, QtPrivate::QSlotObjectBase *, QObject *, void **, bool *) at /usr/include/qt5/QtCore/qobject_impl.h:192
 #4 QtPrivate::QSlotObjectBase::call at ../../src/corelib/kernel/qobject_impl.h:124
 #5 QMetaObject::activate at kernel/qobject.cpp:3698
 #7 CppEditor::Internal::CppEditorDocument::preprocessorSettingsChanged at .moc/release-shared/moc_cppeditordocument.cpp:263
 #8 CppEditor::Internal::CppEditorDocument::setPreprocessorSettings at cppeditordocument.cpp:275
 #9 CppEditor::Internal::CppEditorWidget::showPreProcessorWidget at cppeditor.cpp:763
 #10 CppEditor::Internal::CppEditorWidget::qt_static_metacall at .moc/release-shared/moc_cppeditor.cpp:239
Comment 1 Adrien Bustany 2016-03-02 05:40:09 EST
Created attachment 1132234 [details]
File: backtrace
Comment 2 Adrien Bustany 2016-03-02 05:40:10 EST
Created attachment 1132235 [details]
File: cgroup
Comment 3 Adrien Bustany 2016-03-02 05:40:12 EST
Created attachment 1132236 [details]
File: core_backtrace
Comment 4 Adrien Bustany 2016-03-02 05:40:14 EST
Created attachment 1132237 [details]
File: dso_list
Comment 5 Adrien Bustany 2016-03-02 05:40:16 EST
Created attachment 1132238 [details]
File: environ
Comment 6 Adrien Bustany 2016-03-02 05:40:18 EST
Created attachment 1132239 [details]
File: exploitable
Comment 7 Adrien Bustany 2016-03-02 05:40:19 EST
Created attachment 1132240 [details]
File: limits
Comment 8 Adrien Bustany 2016-03-02 05:40:21 EST
Created attachment 1132241 [details]
File: maps
Comment 9 Adrien Bustany 2016-03-02 05:40:23 EST
Created attachment 1132242 [details]
File: mountinfo
Comment 10 Adrien Bustany 2016-03-02 05:40:24 EST
Created attachment 1132243 [details]
File: namespaces
Comment 11 Adrien Bustany 2016-03-02 05:40:25 EST
Created attachment 1132244 [details]
File: open_fds
Comment 12 Adrien Bustany 2016-03-02 05:40:27 EST
Created attachment 1132245 [details]
File: proc_pid_status
Comment 13 Adrien Bustany 2016-03-02 05:40:28 EST
Created attachment 1132247 [details]
File: var_log_messages
Comment 14 Sandro Mani 2016-03-02 06:14:14 EST
Taken upstream: https://bugreports.qt.io/browse/QTCREATORBUG-15808

Please follow that ticket in case more information is needed.
Comment 15 Fedora End Of Life 2016-11-24 10:53:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 14:11:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.